Apani Contivity client cvc_linux-rh-gcc3-3.3 fails to build with 2.6.14-1.1644_FC4 kernel.

Vincent Fortier vinctre at videotron.ca
Sun Jan 1 15:05:53 UTC 2006


Got it working with 2.6.14-1653

I also posted on http://forums.fedoraforum.org/showthread.php?t=88606

Here is the diff of linux_wrapper.c:
diff -C3 --recursive cvc_linux-rh-gcc3-3.3-FC4_2.6.14/src/linux_wrapper.c
cvc_linux-rh-gcc3-3.3-DIST/src/linux_wrapper.c
*** cvc_linux-rh-gcc3-3.3-FC4_2.6.14/src/linux_wrapper.c        2005-12-31
16:15:35.000000000 +0000
--- cvc_linux-rh-gcc3-3.3-DIST/src/linux_wrapper.c      2005-07-12
23:52:40.000000000 +0000
***************
*** 415,422 ****

  int nl_ip_rcv(struct sk_buff *skb, struct packet_type *pt)
  {
!       /* return ip_rcv(skb, skb->dev, pt); */
!       return netif_rx(skb);
  }

  void nl_ip_send_check(struct iphdr *iph)
--- 415,421 ----

  int nl_ip_rcv(struct sk_buff *skb, struct packet_type *pt)
  {
!       return ip_rcv(skb, skb->dev, pt);
  }

  void nl_ip_send_check(struct iphdr *iph)
***************
*** 524,530 ****
      memcpy(new_skb->cb, skb->cb, sizeof(skb->cb));
      new_skb->priority = skb->priority;
      new_skb->protocol = skb->protocol;
! /*    new_skb->security = skb->security; */
  #if ((LINUX_VERSION_CODE >= 0x020200) && (LINUX_VERSION_CODE < 0x020300))
      new_skb->used = skb->used;
  #endif
--- 523,530 ----
      memcpy(new_skb->cb, skb->cb, sizeof(skb->cb));
      new_skb->priority = skb->priority;
      new_skb->protocol = skb->protocol;
!     new_skb->stamp = skb->stamp;
!     new_skb->security = skb->security;
  #if ((LINUX_VERSION_CODE >= 0x020200) && (LINUX_VERSION_CODE < 0x020300))
      new_skb->used = skb->used;
  #endif
***************
*** 550,555 ****
--- 550,556 ----
    memcpy(skb_to->cb, skb_from->cb, sizeof(skb_from->cb));
    skb_to->priority = skb_from->priority;
    skb_to->protocol = skb_from->protocol;
+   skb_to->stamp = skb_from->stamp;
  #if ((LINUX_VERSION_CODE >= 0x020200) && (LINUX_VERSION_CODE < 0x020300))
    skb_to->used = skb_from->used;
  #else

I have also modified the spec file:
*** cvc_linux-rh-gcc3-3.3.spec-DIST 2005-07-12 23:52:52.000000000 +0000
--- cvc_linux-rh-gcc3-3.3.spec-FC4_2.6.14 2005-12-31 16:04:30.000000000 +0000
***************
*** 1,10 ****
Summary: A program that secures end to end network communication.
Name: cvc_linux-rh-gcc3
Version: 3.3
! Release: 0
! Copyright: COMMERCIAL
Group: System Environment/Base
! Source: cvc_linux-rh-gcc3-3.3.tar.gz
AutoReqProv: no
BuildRoot: /tmp/cvc_linux-rh-gcc3
%description
--- 1,10 ----
Summary: A program that secures end to end network communication.
Name: cvc_linux-rh-gcc3
Version: 3.3
! Release: FC4_2.6.14
! License: COMMERCIAL
Group: System Environment/Base
! Source: cvc_linux-rh-gcc3-%{version}-%{release}.tar.gz
AutoReqProv: no
BuildRoot: /tmp/cvc_linux-rh-gcc3
%description

And the .tar.gz file is now named cvc_linux-rh-gcc3-3.3-FC4_2.6.14.tar.gz
instead of cvc_linux-rh-gcc3-3.3.tar.gz

So you can simply install the src.rpm, extract the .tar.gz into the
redhat/SOURCES/, modify the linux_wrapper.c, recreate a package with the new
name, modify the spec file from the redhat/SPECS/ and invoke "rpmbuild --ba
cvc_linux-rh-gcc3-3.3.spec"

It compiled properly on 2.6.14-1653

Hope this helps!

- vin




More information about the users mailing list